map
GET
/services/map
const url = 'https://api.siteqwality.com/services/map';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/services/map \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” range
string
from
string
to
string
tz
string
t
string
q
string
fields
string
Comma-separated fixed fields or attribute keys.
prefix
string
cursor
string
limit
integer format: int32
interval
string
service
string
env
string
name
string
key
string
focus
string
sort
string
span_id
string
by
string
compare
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
estimated
required
boolean
edges
required
Array<object>
object
source
required
string
target
required
string
kind
required
string
requests
number | null format: double
errors
number | null format: double
rate
number | null format: double
p95_ns
number | null format: double
restricted
required
boolean
meta
required
object
from
required
string
to
required
string
clamped_from
string | null
partial
required
boolean
slow_terms
required
Array<string>
Example generated
{ "estimated": true, "edges": [ { "source": "example", "target": "example", "kind": "example", "requests": 1, "errors": 1, "rate": 1, "p95_ns": 1, "restricted": true } ], "meta": { "from": "example", "to": "example", "clamped_from": "example", "partial": true, "slow_terms": [ "example" ] }}